# eric3.DebugClients.Ruby.AsyncIO

File implementing an asynchronous interface for the debugger.

### Classes

None

### Modules

AsyncIO | Module implementing asynchronous reading and writing.

### Functions

None

## AsyncIO

Module implementing asynchronous reading and writing.

### Classes

None

### Functions

disconnect | Function to disconnect any current connection.
initializeAsyncIO | Function to initialize the module.
readReady | Function called when there is data ready to be read.
setDescriptors | Function called to set the descriptors for the connection.
write | Function to write a string.
writeReady | Function called when we are ready to write data.

### AsyncIO.disconnect

disconnect()

Function to disconnect any current connection.

### AsyncIO.initializeAsyncIO

initializeAsyncIO()

Function to initialize the module.

### AsyncIO.readReady

readReady()

Function called when there is data ready to be read.

fd
  file descriptor of the file that has data to be read (int)

### AsyncIO.setDescriptors

setDescriptors(wfd)

Function called to set the descriptors for the connection.

fd
  file descriptor of the input file (int)
wfd
  file descriptor of the output file (int)

### AsyncIO.write

write()

Function to write a string.

s
  the data to be written (string)

### AsyncIO.writeReady

writeReady()

Function called when we are ready to write data.

fd
  file descriptor of the file that has data to be written (int)

Up